Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.messaging
Class SubscribeAckMessage

    java.lang.Object
      rice.p2p.scribe.messaging.AbstractSubscribeMessage
          rice.p2p.scribe.messaging.SubscribeAckMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage, RawSerializable

    public class SubscribeAckMessage

extends AbstractSubscribeMessage

Version:
  $Id: SubscribeAckMessage.java 3816 2007-08-01 17:54:53Z jeffh $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected java.util.List<java.util.List<Id>>` | `pathsToRoot` The contained path to the root
`static short` | `TYPE`

Fields inherited from class rice.p2p.scribe.messaging.AbstractSubscribeMessage
`id, source, topics`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`SubscribeAckMessage(NodeHandle source, java.util.List<Topic> topics, java.util.List<java.util.List<Id>> pathsToRoot, int id)` Constructor which takes a unique integer Id

Method Summary
`static SubscribeAckMessage` | `build(InputBuffer buf, Endpoint endpoint)`
`java.util.List<java.util.List<Id>>` | `getPathsToRoot()` Returns the path to the root for the node receiving this message
`short` | `getType()` Raw Serialization
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()` Returns a String representation of this ack

Methods inherited from class rice.p2p.scribe.messaging.AbstractSubscribeMessage
`getId, getPriority, getSource, getTopics`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### pathsToRoot

    protected java.util.List<java.util.List<Id>> pathsToRoot

  The contained path to the root

Constructor Detail

### SubscribeAckMessage

    public SubscribeAckMessage(NodeHandle source,
                               java.util.List<Topic> topics,
                               java.util.List<java.util.List<Id>> pathsToRoot,
                               int id)

  Constructor which takes a unique integer Id

  Parameters:
    `id` - The unique id
    `source` - The source address
    `dest` - The destination address

Method Detail

### getPathsToRoot

    public java.util.List<java.util.List<Id>> getPathsToRoot()

  Returns the path to the root for the node receiving this message

  Returns:
    The new path to the root for the node receiving this message

### toString

    public java.lang.String toString()

  Returns a String representation of this ack

  Overrides:
    `toString` in class `AbstractSubscribeMessage`
  Returns:
    A String

### getType

    public short getType()

  Raw Serialization

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawSerializable`
  Overrides:
    `serialize` in class `AbstractSubscribeMessage`
  Throws:
    `java.io.IOException`

### build

    public static SubscribeAckMessage build(InputBuffer buf,
                                            Endpoint endpoint)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.